Bug 194278 - Review Request: kdeadmin: Administrative tools for KDE
Review Request: kdeadmin: Administrative tools for KDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 15:52 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 08:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-06-06 15:52:09 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeadmin.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdeadmin-3.5.3-2.src.rpm
Description:
Administrative tools for the K Desktop Environment (KDE), including:
kcron, kdat, knetworkconf, kpackage, ksysv, kuser.
Comment 1 Rex Dieter 2006-06-07 07:47:03 EDT
%changelog
* Mon Jun 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-2
- cleanup for Extras
- %%doc: AUTHORS COPYING README, app docs (README, TODO, etc...)
- follow icon spec
- use default(upstream) kdesu instead of usermode(gtk).

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3
Comment 2 Mike McGrath 2006-07-20 18:20:22 EDT
* Missing dependancy on update-desktop-database for %post (package
desktop-file-utils)
* Missing dependancy on update-desktop-database for %postun (package
desktop-file-utils)
* The package contains libtool archive files (*.la)
* Many of the desktop files don't follow the
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop packaging guidelines.

Minor
* Duplicate BuildRequires: bzip2-devel (by kdelibs-devel)
Comment 3 Rex Dieter 2006-07-21 07:39:58 EDT
> * Missing dependancy on update-desktop-database for %postun (package
> desktop-file-utils)

Last I knew, ScriptletSnippets said not to add any (new) dependancies for this.

> * The package contains libtool archive files (*.la)

The ones included here are required.

> Many of the desktop files don't follow the ... packaging guidelines

I refer you to the comment in the specfile (:  
-------------
# FIXME/TODO: get dfi to shut-the-hell-up about KDE's *valid/legit* use of 
# Keywords= and use of invalid characters... bah. -- Rex


> * Duplicate BuildRequires: bzip2-devel (by kdelibs-devel)

kdeadmin *directly* uses/requires bzip2-devel(1), so relying upon implicit deps
of other packages is bad/unwise.

(1) OK, not directly, but is needed because rpm-devel currently lacks
Requires: bzip2-devel
Comment 4 Rex Dieter 2006-07-21 08:07:51 EDT
>> * Missing dependancy on update-desktop-database for %postun (package
>> desktop-file-utils)

> Last I knew, ScriptletSnippets said not to add any (new) dependancies for 
> this.

Rechecked, and it's still there, even though it says *eventually* the 
dependancy shouldn't be required.  I'll see if I can get that fixed for good.  
(:

In the meantime, if you consider this a deal-breaker Review-wise, I can 
(temporarily at least) add the Requires(post,postun): desktop-file-utils
Comment 5 Mike McGrath 2006-07-21 16:49:06 EDT
Re comment #4: That sounds reasonable.  From a practical point of view its not
like this RPM isn't well tested.

One more todo then consider this approved: 
- Please add a URL tag even if it is just to the kde.org main site

--------------------------------------------

- Meets naming guidelines
- Includes GPL license
- Spec file is clean
- Source matches upstream
- Builds in mock against devel on i386
- Uses %findlang
- Dir ownership for some of these dir's is a bit strange but matches current
conventions.  If someone wants to comment on this further go ahead.
- %files section is sane
- RPMLINT (See below)

RPMLINT: 


W: kdeadmin no-url-tag
E: kdeadmin file-in-usr-marked-as-conffile /usr/share/config.kcfg/kuser.kcfg
W: kdeadmin conffile-without-noreplace-flag /usr/share/config.kcfg/kuser.kcfg
E: kdeadmin file-in-usr-marked-as-conffile /usr/share/config/kpackagerc
W: kdeadmin conffile-without-noreplace-flag /usr/share/config/kpackagerc
E: kdeadmin file-in-usr-marked-as-conffile /usr/share/config/ksysvrc
W: kdeadmin conffile-without-noreplace-flag /usr/share/config/ksysvrc
E: kdeadmin file-in-usr-marked-as-conffile /usr/share/config/kuserrc
W: kdeadmin conffile-without-noreplace-flag /usr/share/config/kuserrc
W: kdeadmin devel-file-in-non-devel-package
/usr/lib/pkgconfig/system-tools-backends.pc
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/kcron/common ../common
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/lilo-config/common
../common
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/knetworkconf/common
../common
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/kpackage/common
../common
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/kuser/common ../common
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/kdat/common ../common
W: kdeadmin dangling-relative-symlink /usr/share/doc/HTML/en/ksysv/common ../common

Comment 6 Mike McGrath 2006-07-26 14:48:09 EDT
I forgot to formally approve this package.  Add URL tag and this one's ready.


APPROVED
Comment 7 Ngo Than 2007-03-05 10:23:21 EST
i have reviewed and merged the change. Please take a look
at kdeadmin-3.5.6-2.fc7 in rawhide.
Comment 8 Mike McGrath 2007-03-13 17:04:19 EDT
Whats the status on this?  Can we resolv it?  Its been re-opened.
Comment 9 Rex Dieter 2007-03-13 19:02:42 EDT
As far as I understand, merge reviews (which this really is) need to stay open
until the package in question been merged into Extras' cvs.
Comment 10 Rex Dieter 2007-04-06 08:39:14 EDT
closing per comment #7 (no need to wait for merge)

Note You need to log in before you can comment on or make changes to this bug.